Bug 969937 - ctl_app deploy does not work
ctl_app deploy does not work
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks: 971351
  Show dependency treegraph
 
Reported: 2013-06-03 02:14 EDT by Wesley Hearn
Modified: 2015-05-14 19:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 971351 (view as bug list)
Environment:
Last Closed: 2013-06-11 00:15:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley Hearn 2013-06-03 02:14:52 EDT
Description of problem:
Running ctl_deploy throws undefined local variable

Version-Release number of selected component (if applicable):
latest

How reproducible:
Always

Steps to Reproduce:
1. Create application
2. SSH into application
3. Run ctl_app --help, then ctl_deploy

Actual results:
[nodezerotennine-TheCan.stg.rhcloud.com 51ac32f0dbd93c2498000120]\> ctl_app --help
  NAME:

    ["OpenShift Gear Control"]

  DESCRIPTION:

    ["An assortment gear utilities"]

  COMMANDS:
	
    build                Run the build steps		
    deploy               Run the deploy steps		
    help                 Display global or [command] help documentation.		
    postreceive          Run the git postreceive steps		
    prereceive           Run the git prereceive steps		
    reload               Reload a cart		
    remotedeploy         Run the remotedeploy steps		
    restart              Restart a cart		
    restore              Restore an application		
    snapshot             Snapshot an application		
    start                Start the gear/cart		
    status               Get the status for a cart		
    stop                 Stop the gear/cart	

  GLOBAL OPTIONS:
	
    --trace 
        Enable stack traces when reporting errors
	
    -h, --help 
        Display help documentation
	
    -v, --version 
        Display version information
	
    -t, --trace 
        Display backtrace when an error occurs

[nodezerotennine-TheCan.stg.rhcloud.com 51ac32f0dbd93c2498000120]\> ctl_app deploy
undefined local variable or method `deploy' for main:Object

Expected results:
It to run through the deploy steps(Install node modules, rubygems, Python eggs, etc)

Additional info:
Comment 1 Dan Mace 2013-06-03 11:45:56 EDT
The build related command are either unimplemented or not completely specified at the moment; tagging FutureFeature.
Comment 3 openshift-github-bot 2013-06-04 18:57:54 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/17fe64176ee8a82aa6daeec26461977b89d172ec
Bug 969937: Implement gear script deploy method
Comment 5 Meng Bo 2013-06-05 04:13:54 EDT
Checked on devenv_3321, issue fixed.

ctl_app deploy works fine, after ctl_app build

[app1-bmeng.dev.rhcloud.com 53d3e746cdb211e29a8a22000aa5021c]\> ctl_app deploy
Stopping jbossas cart
Sending SIGTERM to jboss:19898 ...
Found pom.xml... attempting to build with 'mvn -e clean package -Popenshift -DskipTests'
Apache Maven 3.0.3 (r1075437; 2011-06-20 13:22:37-0400)
Maven home: /etc/alternatives/maven-3.0
Java version: 1.7.0_19, vendor: Oracle Corporation
Java home: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.19/jre
Default locale: en_US, platform encoding: ANSI_X3.4-1968
OS name: "linux", version: "2.6.32-358.6.2.el6.x86_64", arch: "i386", family: "unix"
[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building app1 1.0
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-clean-plugin:2.4.1:clean (default-clean) @ app1 ---
[INFO] 
[INFO] --- maven-resources-plugin:2.4.3:resources (default-resources) @ app1 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] Copying 1 resource
[INFO] 
[INFO] --- maven-compiler-plugin:2.3.2:compile (default-compile) @ app1 ---
[INFO] Nothing to compile - all classes are up to date
[INFO] 
[INFO] --- maven-resources-plugin:2.4.3:testResources (default-testResources) @ app1 ---
[INFO] Using 'UTF-8' encoding to copy filtered resources.
[INFO] skip non existing resourceDirectory /var/lib/openshift/53d3e746cdb211e29a8a22000aa5021c/app-root/runtime/repo/src/test/resources
[INFO] 
[INFO] --- maven-compiler-plugin:2.3.2:testCompile (default-testCompile) @ app1 ---
[INFO] No sources to compile
[INFO] 
[INFO] --- maven-surefire-plugin:2.7.2:test (default-test) @ app1 ---
[INFO] Tests are skipped.
[INFO] 
[INFO] --- maven-war-plugin:2.1.1:war (default-war) @ app1 ---
[INFO] Packaging webapp
[INFO] Assembling webapp [app1] in [/var/lib/openshift/53d3e746cdb211e29a8a22000aa5021c/app-root/runtime/repo/target/app1]
[INFO] Processing war project
[INFO] Copying webapp resources [/var/lib/openshift/53d3e746cdb211e29a8a22000aa5021c/app-root/runtime/repo/src/main/webapp]
[INFO] Webapp assembled in [122 msecs]
[INFO] Building war: /var/lib/openshift/53d3e746cdb211e29a8a22000aa5021c/app-root/runtime/repo/deployments/ROOT.war
[INFO] WEB-INF/web.xml already added, skipping
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 7.092s
[INFO] Finished at: Wed Jun 05 03:59:34 EDT 2013
[INFO] Final Memory: 7M/16M
[INFO] ------------------------------------------------------------------------
Deploying JBoss
Starting jbossas cart
Found 127.0.250.129:8080 listening port

Note You need to log in before you can comment on or make changes to this bug.